Subject: Re: New sparse warning in net/mac80211/debugfs_sta.c

From: Patrick McHardy <[email-masked]>
Date: Thu, 21 Feb 2008 18:45:11 +0100

David Miller wrote:
> From: Harvey Harrison <[email-masked]>
> Date: Thu, 21 Feb 2008 02:01:19 -0800
> 
>> In this case, it's being passed to a debugfs create function, could it
>> instead use sysfs_format_mac?
> 
> Just assigning print_mac() to a local variable then passing that to
> debugfs_create_dir() will make the warning go away.
> 
>>>From another perspective adding that __pure attribute to print_mac()
> might not have been the best idea.  But I can't think of another
> way to elimitate the "passing print_mac() args to pr_debug()
> still generates calls to print_mac() even when DEBUG is not
> defined" problem :-/

Frankly, I think the main problem is that MAC_FMT got removed
for no real reason and is forcing us to come up with lots of
workarounds. We have NIPQUAD_FMT, NIP6_FMT, so I don't see
whats wrong with MAC_FMT. In fact I think a simple

printk(MAC_FMT, addr);

is much nicer than all this temporary buffer and function
call stuff.